Mac OS 10.3.8 and OS 9 - No More

Written by Medievaldragon on . Posted in Uncategorized

This is an awareness call to all Starcraft/Broodwar, Diablo, Diablo II/LOD, and Warcraft III/Frozen Throne players on Mac OS 8.6, 9.x, up to Mac OS X 10.3.8.

Very soon if you have any of the aforementioned Mac OS, once Blizzard updates those games you will no longer be able to play on anymore.  All Blizzard games’ Minimum System Requirements will be risen to Mac OS X 10.3.9 (or above).  Which means you can only play Single Player and LAN if your computer doesn’t have OS 10.3.9. Say bye to unless you upgrade your OS.

Read below the full press release concerning this minimum requirements changes for Starcraft, Diablo and Warcraft games.  Thanks, Entropy.

Post a Comment.

Be Sociable, Share!